Earth Engine is a platform for geospatial data storage, analysis, and visualization.

## Service: earthengine.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://earthengine.googleapis.com/$discovery/rest?version=v1>
- <https://earthengine.googleapis.com/$discovery/rest?version=v1beta>
- <https://earthengine.googleapis.com/$discovery/rest?version=v1alpha>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://earthengine.googleapis.com`

## REST Resource: [v1beta.projects](https://developers.google.com/earth-engine/reference/rest/v1beta/projects)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects/getConfig` | `GET /v1beta/{name=projects/*/config}` Gets the config state of a project. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects/listAssets` | `GET /v1beta/{parent=projects/*}:listAssets` Lists any container asset, such as a folder or collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects/updateConfig` | `PATCH /v1beta/{projectConfig.name=projects/*/config}` Updates the config state of a project. |

## REST Resource: [v1beta.projects.algorithms](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.algorithms)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.algorithms/list` | `GET /v1beta/{parent=projects/*}/algorithms` Gets the list of all the algorithms available for use in Expressions. |

## REST Resource: [v1beta.projects.assets](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/copy` | `POST /v1beta/{sourceName=projects/*/assets/**}:copy` Copies an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/create` | `POST /v1beta/{parent=projects/*}/assets` Creates an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/delete` | `DELETE /v1beta/{name=projects/*/assets/**}` Deletes an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/get` | `GET /v1beta/{name=projects/*/assets/**}` Gets detailed information about an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/getIamPolicy` | `POST /v1beta/{resource=projects/*/assets/**}:getIamPolicy` Gets the access control policy for a resource. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/getPixels` | `POST /v1beta/{name=projects/*/assets/**}:getPixels` Fetches pixels from an image asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/listAssets` | `GET /v1beta/{parent=projects/*/assets/**}:listAssets` Lists any container asset, such as a folder or collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/listFeatures` | `GET /v1beta/{asset=projects/*/assets/**}:listFeatures` Lists the features in a table asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/move` | `POST /v1beta/{sourceName=projects/*/assets/**}:move` Moves an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/patch` | `PATCH /v1beta/{asset.name=projects/*/assets/**}` Updates an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/setIamPolicy` | `POST /v1beta/{resource=projects/*/assets/**}:setIamPolicy` Sets the access control policy on the specified resource. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets/testIamPermissions` | `POST /v1beta/{resource=projects/*/assets/**}:testIamPermissions` Returns permissions that a caller has on the specified resource. |

## REST Resource: [v1beta.projects.classifier](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.classifier)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.classifier/export` | `POST /v1beta/{project=projects/*}/classifier:export` Initiates a batch process that computes a classifier and saves it as an Earth Engine asset. |

## REST Resource: [v1beta.projects.featureView](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.featureView)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.featureView/create` | `POST /v1beta/{parent=projects/*}/featureView` Create a FeatureView. |

## REST Resource: [v1beta.projects.featureViews](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.featureViews)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.featureViews/create` | `POST /v1beta/{parent=projects/*}/featureViews` Create a FeatureView. |

## REST Resource: [v1beta.projects.featureViews.tiles](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.featureViews.tiles)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.featureViews.tiles/get` | `GET /v1beta/{parent=projects/*/featureViews/*}/tiles/{zoom}/{x}/{y}` Computes a map tile image showing a portion of a FeatureView. |

## REST Resource: [v1beta.projects.filmstripThumbnails](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.filmstripThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.filmstripThumbnails/create` | `POST /v1beta/{parent=projects/*}/filmstripThumbnails` Creates an ID that can be used to render an image containing multiple images from a collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.filmstripThumbnails/getPixels` | `GET /v1beta/{name=projects/*/filmstripThumbnails/*}:getPixels` Computes an image showing the result of a computation. |

## REST Resource: [v1beta.projects.image](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.image)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.image/computePixels` | `POST /v1beta/{project=projects/*}/image:computePixels` Computes a tile of pixels by performing an arbitrary computation on image data. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.image/export` | `POST /v1beta/{project=projects/*}/image:export` Initiates a batch process that computes an image and writes the result to one of several destinations. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.image/import` | `POST /v1beta/{project=projects/*}/image:import` Imports an image. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.image/importExternal` | `POST /v1beta/{project=projects/*}/image:importExternal` Imports an external image. |

## REST Resource: [v1beta.projects.imageCollection](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.imageCollection)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.imageCollection/computeImages` | `POST /v1beta/{project=projects/*}/imageCollection:computeImages` Computes a set of features by applying an arbitrary computation to features in one or more tables. |

## REST Resource: [v1beta.projects.locations.assets](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.assets)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.assets/create` | `POST /v1beta/{parent=projects/*/locations/*}/assets` Creates an asset. |

## REST Resource: [v1beta.projects.locations.filmstripThumbnails](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.filmstripThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.filmstripThumbnails/create` | `POST /v1beta/{parent=projects/*/locations/*}/filmstripThumbnails` Creates an ID that can be used to render an image containing multiple images from a collection. |

## REST Resource: [v1beta.projects.locations.maps](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.maps)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.maps/create` | `POST /v1beta/{parent=projects/*/locations/*}/maps` Creates an ID that can be used to render map tiles showing the results of a computation. |

## REST Resource: [v1beta.projects.locations.tables](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.tables)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.tables/create` | `POST /v1beta/{parent=projects/*/locations/*}/tables` Creates an ID that can be used to render "table" data. |

## REST Resource: [v1beta.projects.locations.thumbnails](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.thumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.thumbnails/create` | `POST /v1beta/{parent=projects/*/locations/*}/thumbnails` Creates an ID that can be used to render a "thumbnail" image. |

## REST Resource: [v1beta.projects.locations.videoThumbnails](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.videoThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.locations.videoThumbnails/create` | `POST /v1beta/{parent=projects/*/locations/*}/videoThumbnails` Creates an ID that can be used to render an image containing an animation of multiple images from a collection. |

## REST Resource: [v1beta.projects.map](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.map)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.map/export` | `POST /v1beta/{project=projects/*}/map:export` Initiates a batch process that computes a tiled map and writes the result to Google Cloud Storage. |

## REST Resource: [v1beta.projects.maps](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.maps)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.maps/create` | `POST /v1beta/{parent=projects/*}/maps` Creates an ID that can be used to render map tiles showing the results of a computation. |

## REST Resource: [v1beta.projects.maps.tiles](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.maps.tiles)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.maps.tiles/get` | `GET /v1beta/{parent=projects/*/maps/*}/tiles/{zoom}/{x}/{y}` Computes a map tile image showing a portion of a computation. |

## REST Resource: [v1beta.projects.operations](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.operations)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.operations/cancel` | `POST /v1beta/{name=projects/*/operations/**}:cancel` Starts asynchronous cancellation on a long-running operation. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.operations/delete` | `DELETE /v1beta/{name=projects/*/operations/**}` Deletes a long-running operation. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.operations/get` | `GET /v1beta/{name=projects/*/operations/**}` Gets the latest state of a long-running operation. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.operations/list` | `GET /v1beta/{name=projects/*}/operations` Lists operations that match the specified filter in the request. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.operations/wait` | `POST /v1beta/{name=projects/*/operations/**}:wait` Waits until the specified long-running operation is done or reaches at most a specified timeout, returning the latest state. |

## REST Resource: [v1beta.projects.table](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.table)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.table/computeFeatures` | `POST /v1beta/{project=projects/*}/table:computeFeatures` Computes a set of features by applying an arbitrary computation to features in one or more tables. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.table/export` | `POST /v1beta/{project=projects/*}/table:export` Initiates a batch process that computes a table and writes the result to one of several destinations. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.table/import` | `POST /v1beta/{project=projects/*}/table:import` Imports a table. |

## REST Resource: [v1beta.projects.tables](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.tables)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.tables/create` | `POST /v1beta/{parent=projects/*}/tables` Creates an ID that can be used to render "table" data. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.tables/getFeatures` | `GET /v1beta/{name=projects/*/tables/*}:getFeatures` Fetches `Table` features, the request includes the name of the Table to download from a previous `CreateTable` request. |

## REST Resource: [v1beta.projects.thumbnails](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.thumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.thumbnails/create` | `POST /v1beta/{parent=projects/*}/thumbnails` Creates an ID that can be used to render a "thumbnail" image. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.thumbnails/getPixels` | `GET /v1beta/{name=projects/*/thumbnails/*}:getPixels` Computes an image showing the result of a computation. |

## REST Resource: [v1beta.projects.value](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.value)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.value/compute` | `POST /v1beta/{project=projects/*}/value:compute` Computes an arbitrary value. |

## REST Resource: [v1beta.projects.video](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.video)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.video/export` | `POST /v1beta/{project=projects/*}/video:export` Initiates a batch process that computes a video and writes the result to one of several destinations. |

## REST Resource: [v1beta.projects.videoThumbnails](https://developers.google.com/earth-engine/reference/rest/v1beta/projects.videoThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.videoThumbnails/create` | `POST /v1beta/{parent=projects/*}/videoThumbnails` Creates an ID that can be used to render an image containing an animation of multiple images from a collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.videoThumbnails/getPixels` | `GET /v1beta/{name=projects/*/videoThumbnails/*}:getPixels` Computes an image showing the result of a computation. |

## REST Resource: [v1alpha.projects](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects/getConfig` | `GET /v1alpha/{name=projects/*/config}` Gets the config state of a project. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects/listAssets` | `GET /v1alpha/{parent=projects/*}:listAssets` Lists any container asset, such as a folder or collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects/updateConfig` | `PATCH /v1alpha/{projectConfig.name=projects/*/config}` Updates the config state of a project. |

## REST Resource: [v1alpha.projects.algorithms](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.algorithms)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.algorithms/list` | `GET /v1alpha/{parent=projects/*}/algorithms` Gets the list of all the algorithms available for use in Expressions. |

## REST Resource: [v1alpha.projects.assets](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/copy` | `POST /v1alpha/{sourceName=projects/*/assets/**}:copy` Copies an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/create` | `POST /v1alpha/{parent=projects/*}/assets` Creates an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/delete` | `DELETE /v1alpha/{name=projects/*/assets/**}` Deletes an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/get` | `GET /v1alpha/{name=projects/*/assets/**}` Gets detailed information about an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/getIamPolicy` | `POST /v1alpha/{resource=projects/*/assets/**}:getIamPolicy` Gets the access control policy for a resource. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/getPixels` | `POST /v1alpha/{name=projects/*/assets/**}:getPixels` Fetches pixels from an image asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/listAssets` | `GET /v1alpha/{parent=projects/*/assets/**}:listAssets` Lists any container asset, such as a folder or collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/listFeatures` | `GET /v1alpha/{asset=projects/*/assets/**}:listFeatures` Lists the features in a table asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/listImages` | `GET /v1alpha/{parent=projects/*/assets/**}:listImages` Lists the images in an image collection asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/move` | `POST /v1alpha/{sourceName=projects/*/assets/**}:move` Moves an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/patch` | `PATCH /v1alpha/{asset.name=projects/*/assets/**}` Updates an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/setIamPolicy` | `POST /v1alpha/{resource=projects/*/assets/**}:setIamPolicy` Sets the access control policy on the specified resource. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.assets/testIamPermissions` | `POST /v1alpha/{resource=projects/*/assets/**}:testIamPermissions` Returns permissions that a caller has on the specified resource. |

## REST Resource: [v1alpha.projects.classifier](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.classifier)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.classifier/export` | `POST /v1alpha/{project=projects/*}/classifier:export` Initiates a batch process that computes a classifier and saves it as an Earth Engine asset. |

## REST Resource: [v1alpha.projects.featureView](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.featureView)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.featureView/create` | `POST /v1alpha/{parent=projects/*}/featureView` Create a FeatureView. |

## REST Resource: [v1alpha.projects.featureViews](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.featureViews)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.featureViews/create` | `POST /v1alpha/{parent=projects/*}/featureViews` Create a FeatureView. |

## REST Resource: [v1alpha.projects.featureViews.tiles](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.featureViews.tiles)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.featureViews.tiles/get` | `GET /v1alpha/{parent=projects/*/featureViews/*}/tiles/{zoom}/{x}/{y}` Computes a map tile image showing a portion of a FeatureView. |

## REST Resource: [v1alpha.projects.filmstripThumbnails](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.filmstripThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.filmstripThumbnails/create` | `POST /v1alpha/{parent=projects/*}/filmstripThumbnails` Creates an ID that can be used to render an image containing multiple images from a collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.filmstripThumbnails/getPixels` | `GET /v1alpha/{name=projects/*/filmstripThumbnails/*}:getPixels` Computes an image showing the result of a computation. |

## REST Resource: [v1alpha.projects.image](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.image)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.image/computePixels` | `POST /v1alpha/{project=projects/*}/image:computePixels` Computes a tile of pixels by performing an arbitrary computation on image data. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.image/export` | `POST /v1alpha/{project=projects/*}/image:export` Initiates a batch process that computes an image and writes the result to one of several destinations. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.image/import` | `POST /v1alpha/{project=projects/*}/image:import` Imports an image. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.image/importExternal` | `POST /v1alpha/{project=projects/*}/image:importExternal` Imports an external image. |

## REST Resource: [v1alpha.projects.imageCollection](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.imageCollection)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.imageCollection/computeImages` | `POST /v1alpha/{project=projects/*}/imageCollection:computeImages` Computes a set of features by applying an arbitrary computation to features in one or more tables. |

## REST Resource: [v1alpha.projects.locations.assets](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.assets)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.assets/create` | `POST /v1alpha/{parent=projects/*/locations/*}/assets` Creates an asset. |

## REST Resource: [v1alpha.projects.locations.filmstripThumbnails](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.filmstripThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.filmstripThumbnails/create` | `POST /v1alpha/{parent=projects/*/locations/*}/filmstripThumbnails` Creates an ID that can be used to render an image containing multiple images from a collection. |

## REST Resource: [v1alpha.projects.locations.maps](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.maps)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.maps/create` | `POST /v1alpha/{parent=projects/*/locations/*}/maps` Creates an ID that can be used to render map tiles showing the results of a computation. |

## REST Resource: [v1alpha.projects.locations.tables](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.tables)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.tables/create` | `POST /v1alpha/{parent=projects/*/locations/*}/tables` Creates an ID that can be used to render "table" data. |

## REST Resource: [v1alpha.projects.locations.thumbnails](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.thumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.thumbnails/create` | `POST /v1alpha/{parent=projects/*/locations/*}/thumbnails` Creates an ID that can be used to render a "thumbnail" image. |

## REST Resource: [v1alpha.projects.locations.videoThumbnails](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.videoThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.locations.videoThumbnails/create` | `POST /v1alpha/{parent=projects/*/locations/*}/videoThumbnails` Creates an ID that can be used to render an image containing an animation of multiple images from a collection. |

## REST Resource: [v1alpha.projects.map](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.map)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.map/export` | `POST /v1alpha/{project=projects/*}/map:export` Initiates a batch process that computes a tiled map and writes the result to Google Cloud Storage. |

## REST Resource: [v1alpha.projects.maps](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.maps)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.maps/create` | `POST /v1alpha/{parent=projects/*}/maps` Creates an ID that can be used to render map tiles showing the results of a computation. |

## REST Resource: [v1alpha.projects.maps.tiles](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.maps.tiles)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.maps.tiles/get` | `GET /v1alpha/{parent=projects/*/maps/*}/tiles/{zoom}/{x}/{y}` Computes a map tile image showing a portion of a computation. |

## REST Resource: [v1alpha.projects.operations](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.operations)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.operations/cancel` | `POST /v1alpha/{name=projects/*/operations/**}:cancel` Starts asynchronous cancellation on a long-running operation. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.operations/delete` | `DELETE /v1alpha/{name=projects/*/operations/**}` Deletes a long-running operation. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.operations/get` | `GET /v1alpha/{name=projects/*/operations/**}` Gets the latest state of a long-running operation. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.operations/list` | `GET /v1alpha/{name=projects/*}/operations` Lists operations that match the specified filter in the request. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.operations/wait` | `POST /v1alpha/{name=projects/*/operations/**}:wait` Waits until the specified long-running operation is done or reaches at most a specified timeout, returning the latest state. |

## REST Resource: [v1alpha.projects.table](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.table)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.table/computeFeatures` | `POST /v1alpha/{project=projects/*}/table:computeFeatures` Computes a set of features by applying an arbitrary computation to features in one or more tables. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.table/export` | `POST /v1alpha/{project=projects/*}/table:export` Initiates a batch process that computes a table and writes the result to one of several destinations. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.table/import` | `POST /v1alpha/{project=projects/*}/table:import` Imports a table. |

## REST Resource: [v1alpha.projects.tables](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.tables)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.tables/create` | `POST /v1alpha/{parent=projects/*}/tables` Creates an ID that can be used to render "table" data. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.tables/getFeatures` | `GET /v1alpha/{name=projects/*/tables/*}:getFeatures` Fetches `Table` features, the request includes the name of the Table to download from a previous `CreateTable` request. |

## REST Resource: [v1alpha.projects.thumbnails](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.thumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.thumbnails/create` | `POST /v1alpha/{parent=projects/*}/thumbnails` Creates an ID that can be used to render a "thumbnail" image. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.thumbnails/getPixels` | `GET /v1alpha/{name=projects/*/thumbnails/*}:getPixels` Computes an image showing the result of a computation. |

## REST Resource: [v1alpha.projects.value](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.value)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.value/compute` | `POST /v1alpha/{project=projects/*}/value:compute` Computes an arbitrary value. |

## REST Resource: [v1alpha.projects.video](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.video)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.video/export` | `POST /v1alpha/{project=projects/*}/video:export` Initiates a batch process that computes a video and writes the result to one of several destinations. |

## REST Resource: [v1alpha.projects.videoThumbnails](https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.videoThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.videoThumbnails/create` | `POST /v1alpha/{parent=projects/*}/videoThumbnails` Creates an ID that can be used to render an image containing an animation of multiple images from a collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1alpha/projects.videoThumbnails/getPixels` | `GET /v1alpha/{name=projects/*/videoThumbnails/*}:getPixels` Computes an image showing the result of a computation. |

## REST Resource: [v1.projects](https://developers.google.com/earth-engine/reference/rest/v1/projects)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects/getConfig` | `GET /v1/{name=projects/*/config}` Gets the config state of a project. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects/listAssets` | `GET /v1/{parent=projects/*}:listAssets` Lists any container asset, such as a folder or collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects/updateConfig` | `PATCH /v1/{projectConfig.name=projects/*/config}` Updates the config state of a project. |

## REST Resource: [v1.projects.algorithms](https://developers.google.com/earth-engine/reference/rest/v1/projects.algorithms)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.algorithms/list` | `GET /v1/{parent=projects/*}/algorithms` Gets the list of all the algorithms available for use in Expressions. |

## REST Resource: [v1.projects.assets](https://developers.google.com/earth-engine/reference/rest/v1/projects.assets)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/copy` | `POST /v1/{sourceName=projects/*/assets/**}:copy` Copies an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/create` | `POST /v1/{parent=projects/*}/assets` Creates an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/delete` | `DELETE /v1/{name=projects/*/assets/**}` Deletes an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/get` | `GET /v1/{name=projects/*/assets/**}` Gets detailed information about an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/getIamPolicy` | `POST /v1/{resource=projects/*/assets/**}:getIamPolicy` Gets the access control policy for a resource. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/getPixels` | `POST /v1/{name=projects/*/assets/**}:getPixels` Fetches pixels from an image asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/listAssets` | `GET /v1/{parent=projects/*/assets/**}:listAssets` Lists any container asset, such as a folder or collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/listFeatures` | `GET /v1/{asset=projects/*/assets/**}:listFeatures` Lists the features in a table asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/move` | `POST /v1/{sourceName=projects/*/assets/**}:move` Moves an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/patch` | `PATCH /v1/{asset.name=projects/*/assets/**}` Updates an asset. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/setIamPolicy` | `POST /v1/{resource=projects/*/assets/**}:setIamPolicy` Sets the access control policy on the specified resource. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.assets/testIamPermissions` | `POST /v1/{resource=projects/*/assets/**}:testIamPermissions` Returns permissions that a caller has on the specified resource. |

## REST Resource: [v1.projects.classifier](https://developers.google.com/earth-engine/reference/rest/v1/projects.classifier)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.classifier/export` | `POST /v1/{project=projects/*}/classifier:export` Initiates a batch process that computes a classifier and saves it as an Earth Engine asset. |

## REST Resource: [v1.projects.featureView](https://developers.google.com/earth-engine/reference/rest/v1/projects.featureView)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.featureView/create` | `POST /v1/{parent=projects/*}/featureView` Create a FeatureView. |

## REST Resource: [v1.projects.featureViews](https://developers.google.com/earth-engine/reference/rest/v1/projects.featureViews)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.featureViews/create` | `POST /v1/{parent=projects/*}/featureViews` Create a FeatureView. |

## REST Resource: [v1.projects.featureViews.tiles](https://developers.google.com/earth-engine/reference/rest/v1/projects.featureViews.tiles)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.featureViews.tiles/get` | `GET /v1/{parent=projects/*/featureViews/*}/tiles/{zoom}/{x}/{y}` Computes a map tile image showing a portion of a FeatureView. |

## REST Resource: [v1.projects.filmstripThumbnails](https://developers.google.com/earth-engine/reference/rest/v1/projects.filmstripThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.filmstripThumbnails/create` | `POST /v1/{parent=projects/*}/filmstripThumbnails` Creates an ID that can be used to render an image containing multiple images from a collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.filmstripThumbnails/getPixels` | `GET /v1/{name=projects/*/filmstripThumbnails/*}:getPixels` Computes an image showing the result of a computation. |

## REST Resource: [v1.projects.image](https://developers.google.com/earth-engine/reference/rest/v1/projects.image)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.image/computePixels` | `POST /v1/{project=projects/*}/image:computePixels` Computes a tile of pixels by performing an arbitrary computation on image data. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.image/export` | `POST /v1/{project=projects/*}/image:export` Initiates a batch process that computes an image and writes the result to one of several destinations. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.image/import` | `POST /v1/{project=projects/*}/image:import` Imports an image. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.image/importExternal` | `POST /v1/{project=projects/*}/image:importExternal` Imports an external image. |

## REST Resource: [v1.projects.imageCollection](https://developers.google.com/earth-engine/reference/rest/v1/projects.imageCollection)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.imageCollection/computeImages` | `POST /v1/{project=projects/*}/imageCollection:computeImages` Computes a set of features by applying an arbitrary computation to features in one or more tables. |

## REST Resource: [v1.projects.locations.assets](https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.assets)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.assets/create` | `POST /v1/{parent=projects/*/locations/*}/assets` Creates an asset. |

## REST Resource: [v1.projects.locations.filmstripThumbnails](https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.filmstripThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.filmstripThumbnails/create` | `POST /v1/{parent=projects/*/locations/*}/filmstripThumbnails` Creates an ID that can be used to render an image containing multiple images from a collection. |

## REST Resource: [v1.projects.locations.maps](https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.maps)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.maps/create` | `POST /v1/{parent=projects/*/locations/*}/maps` Creates an ID that can be used to render map tiles showing the results of a computation. |

## REST Resource: [v1.projects.locations.tables](https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.tables)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.tables/create` | `POST /v1/{parent=projects/*/locations/*}/tables` Creates an ID that can be used to render "table" data. |

## REST Resource: [v1.projects.locations.thumbnails](https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.thumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.thumbnails/create` | `POST /v1/{parent=projects/*/locations/*}/thumbnails` Creates an ID that can be used to render a "thumbnail" image. |

## REST Resource: [v1.projects.locations.videoThumbnails](https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.videoThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.locations.videoThumbnails/create` | `POST /v1/{parent=projects/*/locations/*}/videoThumbnails` Creates an ID that can be used to render an image containing an animation of multiple images from a collection. |

## REST Resource: [v1.projects.map](https://developers.google.com/earth-engine/reference/rest/v1/projects.map)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.map/export` | `POST /v1/{project=projects/*}/map:export` Initiates a batch process that computes a tiled map and writes the result to Google Cloud Storage. |

## REST Resource: [v1.projects.maps](https://developers.google.com/earth-engine/reference/rest/v1/projects.maps)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.maps/create` | `POST /v1/{parent=projects/*}/maps` Creates an ID that can be used to render map tiles showing the results of a computation. |

## REST Resource: [v1.projects.maps.tiles](https://developers.google.com/earth-engine/reference/rest/v1/projects.maps.tiles)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.maps.tiles/get` | `GET /v1/{parent=projects/*/maps/*}/tiles/{zoom}/{x}/{y}` Computes a map tile image showing a portion of a computation. |

## REST Resource: [v1.projects.operations](https://developers.google.com/earth-engine/reference/rest/v1/projects.operations)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.operations/cancel` | `POST /v1/{name=projects/*/operations/**}:cancel` Starts asynchronous cancellation on a long-running operation. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.operations/delete` | `DELETE /v1/{name=projects/*/operations/**}` Deletes a long-running operation. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.operations/get` | `GET /v1/{name=projects/*/operations/**}` Gets the latest state of a long-running operation. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.operations/list` | `GET /v1/{name=projects/*}/operations` Lists operations that match the specified filter in the request. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.operations/wait` | `POST /v1/{name=projects/*/operations/**}:wait` Waits until the specified long-running operation is done or reaches at most a specified timeout, returning the latest state. |

## REST Resource: [v1.projects.table](https://developers.google.com/earth-engine/reference/rest/v1/projects.table)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.table/computeFeatures` | `POST /v1/{project=projects/*}/table:computeFeatures` Computes a set of features by applying an arbitrary computation to features in one or more tables. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.table/export` | `POST /v1/{project=projects/*}/table:export` Initiates a batch process that computes a table and writes the result to one of several destinations. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.table/import` | `POST /v1/{project=projects/*}/table:import` Imports a table. |

## REST Resource: [v1.projects.tables](https://developers.google.com/earth-engine/reference/rest/v1/projects.tables)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.tables/create` | `POST /v1/{parent=projects/*}/tables` Creates an ID that can be used to render "table" data. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.tables/getFeatures` | `GET /v1/{name=projects/*/tables/*}:getFeatures` Fetches `Table` features, the request includes the name of the Table to download from a previous `CreateTable` request. |

## REST Resource: [v1.projects.thumbnails](https://developers.google.com/earth-engine/reference/rest/v1/projects.thumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.thumbnails/create` | `POST /v1/{parent=projects/*}/thumbnails` Creates an ID that can be used to render a "thumbnail" image. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.thumbnails/getPixels` | `GET /v1/{name=projects/*/thumbnails/*}:getPixels` Computes an image showing the result of a computation. |

## REST Resource: [v1.projects.value](https://developers.google.com/earth-engine/reference/rest/v1/projects.value)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.value/compute` | `POST /v1/{project=projects/*}/value:compute` Computes an arbitrary value. |

## REST Resource: [v1.projects.video](https://developers.google.com/earth-engine/reference/rest/v1/projects.video)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.video/export` | `POST /v1/{project=projects/*}/video:export` Initiates a batch process that computes a video and writes the result to one of several destinations. |

## REST Resource: [v1.projects.videoThumbnails](https://developers.google.com/earth-engine/reference/rest/v1/projects.videoThumbnails)

| Methods ||
|---|---|
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.videoThumbnails/create` | `POST /v1/{parent=projects/*}/videoThumbnails` Creates an ID that can be used to render an image containing an animation of multiple images from a collection. |
| `https://developers.google.com/earth-engine/reference/rest/v1/projects.videoThumbnails/getPixels` | `GET /v1/{name=projects/*/videoThumbnails/*}:getPixels` Computes an image showing the result of a computation. |